#include "ServerController.h"

#define CONFIG "../config.cfg"
#define SECRETS ".secrets"

const int PORT;

void sigintHandler(int signal){
	printf("Handled sigint\n");
	exit(0);
}

void error(char *msg){
	write(0, msg, strlen(msg));
	exit(1);
}

void readConfig(){
	FILE *file = fopen("config.cfg", "r");
	char buf[1024];
	while (fgets(buf, 1024, file) != NULL){
		char *newbuf = calloc(1024, 1);
		for (int i = 0; i < 1024; i++){
			if (buf[i] == '#') break;
			else newbuf[i] = buf[i];
		}
		char buf1[512];
		char buf2[512];
		if (sscanf(newbuf, "%s %s\n", buf1, buf2) == 2){
			printf("(%s,%s)\n", buf1, buf2);
		}
		free(newbuf);
	}
}

int main(){
	signal(SIGINT, sigintHandler);
	readConfig();

	return 0;
}
